package com.zipcodewilmington.bankaccountlab;

import com.sun.tools.javac.comp.Check;
import org.junit.Assert;
import org.junit.Test;

public class CheckingAccountTest {


    @Test
    public void test_Get_Set_Name() {
        CheckingAccount checkingAccount = new CheckingAccount();

        checkingAccount.setName("Kenneth");
        String expected = "Kenneth";
        String actual = checkingAccount.getName();
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void test_Get_Set_Address() {
        CheckingAccount checkingAccount = new CheckingAccount();

        checkingAccount.setAddress("867 Anton Lane");
        String expected = "867 Anton Lane";
        String actual = checkingAccount.getAddress();
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void test_Get_Set_Email() {
        CheckingAccount checkingAccount = new CheckingAccount();

        checkingAccount.setEmail("peace_459@live.com");
        String expected = "peace_459@live.com";
        String actual = checkingAccount.getEmail();
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void test_Get_Set_Pin() {
        CheckingAccount checkingAccount = new CheckingAccount();

        checkingAccount.setPin(949428);
        int expected = 949428;
        int actual = checkingAccount.getPin();
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void test_Get_Balance() {
        CheckingAccount checkingAccount = new CheckingAccount();

        double actual = checkingAccount.getBalance();
        double expected = 3333.33;
        Assert.assertTrue(expected == actual);
    }

    @Test
    public void testPay_WriteCheck(){
        CheckingAccount checkingAccount = new CheckingAccount(555.55);

        double amountToPay = 13.82;
        checkingAccount.pay(amountToPay);

        Assert.assertEquals(541.73 , 555.55 - amountToPay, 541.73);
    }

    @Test
    public void testGetAccountNumber(){
        CheckingAccount checkingAccount = new CheckingAccount();

        MainApplication mainApplication = new MainApplication();

        long actual = checkingAccount.getAccountNumber();

        Assert.assertTrue(actual > 0 && actual < 999999999);
    }


}
